<?php
namespace MNM\Spitzner\Plugin;

class CategoryChildrenCollection
{
    /**
     * @param \Magento\Catalog\Model\ResourceModel\Category $subject
     * @param \Magento\Catalog\Model\ResourceModel\Category\Collection $result
     * @return string
     */
    public function afterGetChildrenCategories(\Magento\Catalog\Model\ResourceModel\Category $subject,
                                                \Magento\Catalog\Model\ResourceModel\Category\Collection $result)
    {
        $result->addAttributeToSelect('include_in_menu');

        return $result;
    }
}